use anyhow::Context;

test_cases! {
    component::authority: {
        case_001: "$",
        case_002: "%A2E+b",
        case_003: ".lg",
        case_004: "0.0.0.0",
        case_005: "10.0.0.0",
        case_006: "10.255.255.255",
        case_007: "10LW$$$eG",
        case_008: "127.255.255.255",
        case_009: "128.0.0.0",
        case_010: "169.254.0.0",
        case_011: "172.16.0.0",
        case_012: "172.16.254.1",
        case_013: "172.31.255.255",
        case_014: "191.255.255.255",
        case_015: "192.0.0.0",
        case_016: "192.0.2.0",
        case_017: "192.0.2.1",
        case_018: "192.0.2.255",
        case_019: "192.168.0.0",
        case_020: "192.168.0.255",
        case_021: "192.168.1.15",
        case_022: "1m%A7o.;",
        case_023: "1nJmK",
        case_024: "223.255.255.255",
        case_025: "224.0.0.0",
        case_026: "239.255.255.255",
        case_027: "255.255.255.0",
        case_028: "255.255.255.255",
        case_029: "2rDPDP",
        case_030: "3FK",
        case_031: "4zM",
        case_032: "5ezlW;x-h.",
        case_033: "5f8b-LP",
        case_034: "8zD",
        case_035: "9f%DDHyTWvlh",
        case_036: "==",
        case_037: "E4",
        case_038: "F",
        case_039: "F",
        case_040: "GI",
        case_041: "GI61WT31t",
        case_042: "Nkyy8E,",
        case_043: "O=mO22",
        case_044: "P",
        case_045: "P2Ap7",
        case_046: "R8Tv3Cb5",
        case_047: "Sbu0ylI:z",
        case_048: "T8AU7Fs%34",
        case_049: "Vo,B",
        case_050: "WeiM;",
        case_051: "WuUq",
        case_052: "YDD.",
        case_053: "bmK.hd-SIF",
        case_054: "d.Jw$6T",
        case_055: "d08rd",
        case_056: "dAvZJ$6;",
        case_057: "dyG",
        case_058: "e8%2AnF",
        case_059: "hBpg:$3G3H",
        case_060: "i-h,Y&OL9",
        case_061: "lQFWLP",
        case_062: "m=",
        case_063: "n",
        case_064: "o",
        case_065: "o62f",
        case_066: "rwq8=iDU",
        case_067: "s2D=o-57a4",
        case_068: "ss4ug",
        case_069: "sv&a;@EW4",
        case_070: "vz+,MT",
        case_071: "x;-0LW",
        case_072: "x@15zb;"
    }
}
